Status: Closed
Category:

Customer: CARIAD Product Issue https://gitlab.com/digitalwerk/community/
Numbers: conan/adtf_conan_generator/-/issues/7

Department: Affected Products: ADTF 3.12.5

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::Automatization

Resolution: Workaround Available FAQ Links:

Description

Supportanfrage

Beim Inkludieren von Graphen, Filtern, etc., in eine Session... Gabe es eine Mdglichkeit (z.B. mittels Environment Files) die
DDL-Files automatisch an dem Media Description Service zu Ubergeben?

Das ware ganz praktisch, da wir mehreren Sessions verwenden, die DDLs benétigen. Einige DDLs werden von bestimmte
Subgraphen bendétigt. Auf diese Weise wiirden alle DDLs gleichzeitig fir die Session zur Verfligung stehen.

Lésung

so was wie eine Art Merge flr Service Properties gibt es leider nicht. Das einzig einigermaBen komfortable das mir einfallt ist es in
jeder Session eine Umgebungsvariable

<session-name>_MD_FILES zu definieren und auf "$(ADTF_SESSION_DIR)/path/to/file.description” zu setzen.

Die wiederum kannst Du dann in der Haupt Session beim Media Description Service in der Property refernzieren, also z.b.

S (sessionl_MD_FILES); $(session2_MD_FILES);...;S(sessionN_MD_FILES)

Die Macros kénnen bereits im adtfenvironment file gesetzt werden, das kann man dann bereits auf adtf_conan_generator Ebene

16sen.
Ich habe dazu ein Ticket angelegt, dass das als Beispiel aufgenommen werden soll: *

History

#1 - 2021-08-13 10:10 - hidden
- Status changed from New to In Progress
- Customer set to CARIAD

- Topic set to ADTF::Automatization
#3 - 2021-08-16 07:30 - hidden
Hi Gustavo,

so was wie eine Art Merge fUr Service Properties gibt es leider nicht. Das einzig einigermaBen komfortable das mir einféllt ist es in jeder Session eine
Umgebungsvariable

<session-name>_MD_FILES zu definieren und auf "$(ADTF_SESSION_DIR)/path/to/file.description" zu setzen.

Die wiederum kannst Du dann in der Haupt Session beim Media Description Service in der Property refernzieren, also z.b.
$ (sessionl_MD_FILES); $ (session2_MD_FILES);...;$ (sessionN_MD_FILES)

Hilft Dir das weiter?

GriBe,

Martin
#4 - 2021-08-18 06:37 - hidden

- Status changed from In Progress to Customer Feedback Required

#6 - 2021-08-25 16:37 - hidden

- Project changed from 30 to Public Support

- Subject changed from DDLs von Subgraphen und Plugins automatisch inkludieren to Usage of macros for subgraphs
- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Workaround Available

- Product Issue Numbers set to https://gitlab.com/digitalwerk/community/conan/adtf3_conan_generator/-/issues/7

Denke der Workaround passt, ein Nachtrag wére noch, die Macros bereits im adtfenvironment file zu setzen, das kann man dann bereits auf
adtf_conan_generator Ebene I6sen

#7 - 2021-09-16 14:50 - hidden
- Description updated

- Product Issue Numbers changed from https.//gitlab.com/digitalwerk/community/conan/adtf3_conan_generator/-/issues/7 to
https://gitlab.com/digitalwerk/community/conan/adtf_conan_generator/-/issues/7

#8 - 2022-01-17 08:17 - hidden
- Status changed from To Be Closed to Closed
